<?php
App::uses('EvSlideshowAppModel', 'EvSlideshow.Model');

/**
 * SlideshowSlide Model
 *
 */
class Slideshow extends EvSlideshowAppModel {

/**
 * Validation rules
 *
 * @var array
 */
	public $validate = [
		'name' => [
			'notEmpty' => [
				'rule' => ['notBlank'],
				'message' => 'Please add a name'
			]
		],
		'system_name' => [
			'notEmpty' => [
				'rule' => ['notBlank'],
				'message' => 'Please add a system name'
			]
		]
	];

/**
 * hasMany model associations
 *
 * @var array
 */
	public $hasMany = [
		'Slide' => [
			'className' => 'EvSlideshow.Slide'
		],
	];

/**
 * Number of Slides a slideshow has by default. -1 for unlimited
 *
 * @var int
 */
	public $slideSlots = 3;

/**
 * Returns data ready to display on the admin form template
 *
 * @param int $id The unique id of the slideshow
 * @param array $query Additional query parameters for the find query
 * @return void
 */
	public function readForEdit($id, $query = array()) {
		$query['contain']['Slide'] = [
			'order' => [
				'Slide.sequence' => 'asc',
				'Slide.name' => 'asc'
			],
			'Image'
		];

		return parent::readForEdit($id, $query);
	}

}
