<?php
	/**
	 * Example/Default slideshow element for displaying slides with
	 *
	 * @param array $slides An array containing all the slides to display. Data format based on using the structure returned
	 *                      from using the slideshow component getSlideshow().
	 */

	//Load in VideoEmbed Helper
	$this->Helpers->load('VideoEmbed.Video');

	//If className is not passed in as element variable then set it here
	if (empty($className)) {
		$className = 'ev-slideshow';
	}

	//Get the video field out of the config file
	$videoField = Configure::read('EvSlideshow.video_field');
?>

<?php
	echo $this->Html->script(
		array(
			'EvSlideshow.jquery.main',
			'EvSlideshow.vendor/slick/slick.min',
		),
		array('inline'=>false)
	);
?>

<div class="<?= $className; ?> col-xs-12">
	<?php foreach ($slides as $slide): ?>
		<?php
			//Check if this slide has a video
			$hasVideo = false;
			if (!empty($slide[$videoField])) {
				$hasVideo = true;
			}
		?>


		<div class="ev-slide"
			<?php /* Add background image if available but NOT if it has a video */ ?>
			<?php if (!empty($slide['Image']) && $hasVideo === false): ?>
				style="background-image:url(<?php
					echo $this->Html->assetUrl($slide['Image'][0]['filepath'], [
						'width' => 1920,
						'height' => 600,
						'alt' => ''
					]);
				?>)"
			<?php endif; ?>
		>
			<?php
				// Slide image is duplicated again here, solely for mobiles.
				if (!empty($slide['Image']) && $hasVideo === false) {
					echo $this->Img->resize($slide['Image'][0]['filepath'], [
						'width' => 1920,
						'height' => 600,
						'alt' => '',
					], [
						'class' => 'ev-slide__nested-image'
					]);
				}
			?>

			<?php if ($hasVideo): ?>
				<?php if (isset($slide[$videoField]) && !empty($slide[$videoField])): ?>
					<div class="ev-slide__video">
						<?=$this->Video->embed($slide[$videoField])?>
					</div>
				<?php endif; ?>
			<?php endif; ?>

			<div class="ev-slide__content">
				<h2><?= $slide['name']; ?></h2>

				<?php
					echo $this->Html->link($slide['button_text'], $slide['button_link']);
				?>
			</div>

		</div>
	<?php endforeach; ?>
</div>

<?php
	echo $this->Html->css(
		array(
			'EvSlideshow.ev-slideshow.css',
			'EvSlideshow.slick.css'
		),
		array(
			'inline' => false
		)
	);
?>

